
From: Adrian Bunk <bunk@stusta.de>

Compiling SOUND_AD1889 with PCI=n results in the following compile 
error:

sound/built-in.o(.text+0x24f0c): In function `ad1889_remove':
: undefined reference to `pci_release_region'

This patch adds the missing dependency on PCI.

Signed-off-by: Adrian Bunk <bunk@stusta.de>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/sound/oss/Kconfig |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN sound/oss/Kconfig~let-sound_ad1889-depend-on-pci sound/oss/Kconfig
--- 25/sound/oss/Kconfig~let-sound_ad1889-depend-on-pci	2005-04-10 15:15:30.000000000 -0700
+++ 25-akpm/sound/oss/Kconfig	2005-04-10 15:15:30.000000000 -0700
@@ -556,7 +556,7 @@ config SOUND_AD1816
 
 config SOUND_AD1889
 	tristate "AD1889 based cards (AD1819 codec) (EXPERIMENTAL)"
-	depends on EXPERIMENTAL && SOUND_OSS
+	depends on EXPERIMENTAL && SOUND_OSS && PCI
 	help
 	  Say M here if you have a sound card based on the Analog Devices
 	  AD1889 chip.
_
